# Neve #
**Contributors:** [themeisle](https://profiles.wordpress.org/themeisle)  
**Tags:** blog,block-patterns, custom-logo, e-commerce, rtl-language-support, grid-layout, one-column, two-columns, custom-background, custom-colors, custom-header, custom-menu, featured-image-header, featured-images, flexible-header, full-width-template, sticky-post, theme-options, threaded-comments, translation-ready, accessibility-ready, wide-blocks, block-styles, footer-widgets, portfolio, left-sidebar, right-sidebar  
**Requires at least:** 4.0  
**Tested up to:** 6.2  
**Stable tag:** trunk  
**Requires PHP:** 7.0  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  

Neve is a super fast, easily customizable, multi-purpose theme. Perfect for blogs, small business, startups, agencies, firms & e-commerce shops.

## Description ##
Neve is a super fast, easily customizable, multi-purpose theme. It’s perfect for blogs, small business, startups, agencies, firms, e-commerce shops (WooCommerce storefront) as well as personal portfolio sites and most types of projects. A fully AMP optimized and responsive theme, Neve will load in mere seconds and adapt perfectly on any viewing device. While it is lightweight and has a minimalist design, the theme is highly extendable, it has a highly SEO optimized code, resulting in top rankings in Google search results. Neve works perfectly with Gutenberg and the most popular page builders (Elementor, Brizy, Beaver Builder, Visual Composer, SiteOrigin, Divi). Neve is also WooCommerce ready, responsive, RTL & translation ready. Look no further. Neve is the perfect theme for you!

## Copyright ##
Neve WordPress theme, Copyright 2018 Themeisle
Neve is distributed under the terms of the GNU GPLv2 or later

## Changelog ##

##### [Version 3.6.1](https://github.com/Codeinwp/neve/compare/v3.6.0...v3.6.1) (2023-05-30)

- [Fix] Solve compatibility check
- Update SDK




#### [Version 3.6.0](https://github.com/Codeinwp/neve/compare/v3.5.8...v3.6.0) (2023-05-29)

- [Feat] Add relative CSS unit support for font size controls in the customizer
- [Feat] Granular Heading Font Family Controls
- [Feat] Manage top and bottom margins for pages and posts 
- [Fix] Accessibility warning for the site title
- [Fix] Hover Skin Mode not working for the Footer Menu
- [Fix] Improve the accessibility of the mobile menu by adding an aria-expanded attribute
- [Fix] Button padding is different when using the EM unit
- [Fix] Missing margin between heading and content inside the starter content
- [Fix] Customizer sidebar flickers when changing the container control to 100%
- [Fix] Breadcrumbs not available on the frontend
- [Fix] Highlight the parent menu item when a submenu is active
- [Fix] Items Hover Color does not apply to the active menu item
- [Fix] Updated font size for product tabs h2
- Upsell banners in HFG
- Improve the E2E test coverage
- Update Google Fonts
- Update Cloud Templates and Patterns collection banner image




##### [Version 3.5.8](https://github.com/Codeinwp/neve/compare/v3.5.7...v3.5.8) (2023-04-19)

- [Fix] Tag cloud style when using classic widgets was different than the tag cloud block
- [Fix] Visual issue for the color picker
- Update Google Fonts
- Support chages for Neve Pro




##### [Version 3.5.7](https://github.com/Codeinwp/neve/compare/v3.5.6...v3.5.7) (2023-04-06)

- [Feat] Dynamic Icon Selection and Optional Button for HFG Search Components
- [Fix] Dot style separator not visible inside the editor
- [Fix] Improve compatibility with WPML and Neve
- [Fix] Gradient issue in WordPress 6.2
- [Fix] Path for the logo inside the dashboard
- [Fix] Active and hover colors of the secondary menu items
- [Fix] Hover skin options for the secondary menu
- Improve the compatibility with PPOM plugin




##### [Version 3.5.6](https://github.com/Codeinwp/neve/compare/v3.5.5...v3.5.6) (2023-03-22)

- [Feat] Add Open in new tab option for HFG button components
- [Fix] Page title appears twice on WooCommerce pages
- [Fix] The menu closing icon is duplicated with the slide-down style
- [Fix] Incompatibility issue with Gutenberg plugin 15.2.0
- [Fix] Reply button in comments not aligned correctly for short comments
- Improve the presentation of Neve Pro Custom Layout module
- Improve the development process




##### [Version 3.5.5](https://github.com/Codeinwp/neve/compare/v3.5.4...v3.5.5) (2023-03-13)

- Removed legacy skin




##### [Version 3.5.4](https://github.com/Codeinwp/neve/compare/v3.5.3...v3.5.4) (2023-03-01)

- [Feat] Allow custom colors to be selected inside the customizer
- [Fix] Proper indentation for comments
- [Fix] Inconsistent space between avatar and text in comments
- [Fix] Add margin-bottom for images with no caption
- Update Google Fonts




##### [Version 3.5.3](https://github.com/Codeinwp/neve/compare/v3.5.2...v3.5.3) (2023-02-16)

- [Fix] Alternative Layout control not visible inside the customizer
- [Fix] Menu item not aligned with caret
- Better inform about the features for WooCommerce available in Neve PRO




##### [Version 3.5.2](https://github.com/Codeinwp/neve/compare/v3.5.1...v3.5.2) (2023-02-15)

- [Feat] Add a filter for the author post meta
- [Feat] Improve Accessibility. Use the tab switch to submenu items only if the arrow is clicked on focus
- [Fix] Layout issue with Elementor Pro checkout widget
- [Fix] PHP 8.2 Support
- [Fix] Vertical alignment for cover posts
- [Fix] Missing padding inside the customizer for the button appearance control
- [Fix] Infinite scroll for translated blogs
- Update Google Fonts
- Improve the development process
- Improve performance by moving the menu sidebar opening behavior to inline styles




##### [Version 3.5.1](https://github.com/Codeinwp/neve/compare/v3.5.0...v3.5.1) (2023-01-30)

- Update the tested up to version for Neve Pro




#### [Version 3.5.0](https://github.com/Codeinwp/neve/compare/v3.4.10...v3.5.0) (2023-01-30)

- [Feat] Custom global colors - [Learn more](https://docs.themeisle.com/article/1314-global-colors-in-neve#custom-color)
- [Feat] Font pairs inside the typography section - [Learn more](https://docs.themeisle.com/article/1340-neve-typography#font-presets)
- [Feat] Full Site Editing for Neve - [Learn more](https://docs.themeisle.com/article/1774-neve-fse)
- [Fix] Display featured post only on the first page
- [Fix] Issue with specific customizer settings imported
- [Fix] Color picker issue on small screens
- Update Google Fonts




##### [Version 3.4.10](https://github.com/Codeinwp/neve/compare/v3.4.9...v3.4.10) (2023-01-09)

- [Fix] Installation of Super Page Cache for Cloudflare recommended plugin not working
- [Fix] Make body_class hook signature similar to WP core one; props [@mi5t4n](https://github.com/mi5t4n) for contribution
- [Fix] One click install for Cloud Templates & Patterns collection




##### [Version 3.4.9](https://github.com/Codeinwp/neve/compare/v3.4.8...v3.4.9) (2022-12-15)

- [Fix] Revert menu changes to fix regressions




##### [Version 3.4.8](https://github.com/Codeinwp/neve/compare/v3.4.7...v3.4.8) (2022-12-14)

- [Feat] Add better support for keyboard menu navigation
- [Feat] Improve performance by conditionally loading the CSS for sidebar animation
- [Fix] Change patterns registration hook
- Update Google Fonts




##### [Version 3.4.7](https://github.com/Codeinwp/neve/compare/v3.4.6...v3.4.7) (2022-12-01)

- [Fix] Customizer not working in some specific cases.




##### [Version 3.4.6](https://github.com/Codeinwp/neve/compare/v3.4.5...v3.4.6) (2022-11-29)

- [Feat] Add toggle to enable local hosting for Google fonts
- [Fix] PHP Warnings related to HFG Row BG on Legacy Skin
- [Fix] Text color not configurable with menu skin mode 2
- [Fix] Missing space on the Neve menu HTML
- [Fix] Full Canvas Mobile Menu Overlaps Some HTML Content
- Autoactivate TPC from the welcome notice
- Change the dashboard link from Nolt to GitHub discussion




##### [Version 3.4.5](https://github.com/Codeinwp/neve/compare/v3.4.4...v3.4.5) (2022-11-16)

- [Fix] Typography breaks when switching viewports in Gutenberg Editor
- [Fix] Gradient color option with WP 6.1
- [Fix] Plugin path issues with Bedrock
- [Fix] VoiceOver accessibility issue on iPhone
- Update Google Fonts




##### [Version 3.4.4](https://github.com/Codeinwp/neve/compare/v3.4.3...v3.4.4) (2022-11-03)

- [Fix] Fix possible warning message from nav_walker.php
- [Fix] Speaker Deck block not responsive
- [Fix] Deprecation warnings in PHP 8.1
- [Fix] Visual issue for heading controls in customizer
- [Fix] Customizer toggle control style in WP 6.1
- Stop changing Otter plugin name
- Update starter content theme mods & theme screenshot
- Update Google Fonts




##### [Version 3.4.3](https://github.com/Codeinwp/neve/compare/v3.4.2...v3.4.3) (2022-10-12)

- [Fix] Caret for select dropdown not appearing
- [Fix] Adjusted the breadcrumbs and the text for the results display on mobile for WooCommerce
- [Fix] Compatibility with WooCommerce Stripe Gateway plugin
- Prepare Neve for WordPress 6.1
- Update Google Fonts




##### [Version 3.4.2](https://github.com/Codeinwp/neve/compare/v3.4.1...v3.4.2) (2022-09-27)

- [Fix] Starter content hero image
- [Fix] Upside down menu caret in Safari
- [Fix] Customizer search prevents settings expand when using the pencil buttons from the preview
- [Fix] Search icon component input height not applying on submit button




##### [Version 3.4.1](https://github.com/Codeinwp/neve/compare/v3.4.0...v3.4.1) (2022-09-19)

- [Fix] Missing variable notice
- [Fix] Compatibility with PHP editor from custom layouts
- [Fix] Customizer error when Neve Pro is installed but not updated




#### [Version 3.4.0](https://github.com/Codeinwp/neve/compare/v3.3.7...v3.4.0) (2022-09-19)

- [Feat] Add the possibility to search for options in Customizer - [Learn more](https://docs.themeisle.com/article/1716-how-to-search-for-settings-in-the-customizer)
- [Feat] Show comments but hide reply form if the allow

##### [Version 3.3.7](https://github.com/Codeinwp/neve/compare/v3.3.6...v3.3.7) (2022-08-31)

- [Feat] Add margin control for menu label
- Remove redundant class import
- [Fix] Extra divider in Customizer on Instructions component
- [Fix] Improved ARIA label on menu dropdown
- [Fix] Improve compatibility with Sparks
- [Fix] Items alignment on the sidebar




##### [Version 3.3.6](https://github.com/Codeinwp/neve/compare/v3.3.5...v3.3.6) (2022-08-18)

- [Fix] Border radius on buttons cannot be removed
- [Fix] Default text color for primary buttons
- Update Google Fonts




##### [Version 3.3.5](https://github.com/Codeinwp/neve/compare/v3.3.4...v3.3.5) (2022-08-03)

- [Fix] Indentation for nested replies
- [Fix] Sticky footer overlapping elements on the shop page
- [Fix] Replace the deprecated EDD filter
- [Fix] Comment reply script loading
- [Fix] Added ARIA label for palette switch link
- [Fix] Critical error when the header is empty
- [Fix] Starter content header button issue
- Update Google Fonts




##### [Version 3.3.4](https://github.com/Codeinwp/neve/compare/v3.3.3...v3.3.4) (2022-07-26)

- [Feat] Add a new control to hide the title on archive pages
- [Fix] Remove the theme.json file as it adds lots of other issues
- Update Google Fonts




##### [Version 3.3.3](https://github.com/Codeinwp/neve/compare/v3.3.2...v3.3.3) (2022-07-20)

- [Feat] Adds theme.json & enable appearanceTools - [Documentation](https://developer.wordpress.org/block-editor/how-to-guides/themes/theme-json/#opt-in-into-ui-controls)
- [Fix] Placement of the loop entry before/after hook
- Update Google fonts




##### [Version 3.3.2](https://github.com/Codeinwp/neve/compare/v3.3.1...v3.3.2) (2022-07-11)

- [Feat] Add active menu item color for the secondary navigation header component
- [Fix] Featured post section enabled makes page titles disappear
- [Fix] Neve sidebar breaks editor layout when opened
- [Fix] Tag cloud block styling
- [Fix] Hover modes for HFG navigation components.
- Update Google Fonts
- Dropdowns with hash as href are toggled on link click
- Improve performance by preventing AMP-related style for loading everywhere
- Improve performance by requiring comment-reply.js only when is needed




##### [Version 3.3.1](https://github.com/Codeinwp/neve/compare/v3.3.0...v3.3.1) (2022-06-27)

- [Fix] Both posted date and updated date are displayed
- [Fix] {current_query_title} magic tag can't be displayed inline with other text
- From 3.3.0 we decided to remove the copyright component from the free version. You can continue using it if you roll back to 3.2.x or you can upgrade to pro, using a one-time 50% discount by using NEVEBRANDING50 discount code. The promotion is available until the 5th of July 2022.




#### [Version 3.3.0](https://github.com/Codeinwp/neve/compare/v3.2.5...v3.3.0) (2022-06-23)

- [Feat] Add an option to hide post meta on mobile
- [Feat] Add shadow controls for primary / secondary buttons
- [Feat] Adds  magic tag to get the current title of the page being viewed.
- [Fix] JS error in customizer on nested accordion
- Update Google Fonts
- Drop the copyright footer component and add static copyright;
- Accessibility improvements: Replace dropdown links with buttons
- We have started to add a new generation of starter sites called Expert Sites, which are more complex and cover a more variety of sections and integrations for each niche. Furthermore, we have started to review and convert some of the older ones to Expert Sites and you will see them available soon. To support this change, you will see a lighter starter site collection than we had in the past as we want to focus on a smaller but more powerful collection of ready-to-use sites which we can constantly update. You will still be able to access the legacy starter sites by [following this doc](https://docs.themeisle.com/article/1613-where-do-i-find-the-legacy-the-starter-sites), but keep in mind that those will no longer receive updates or be tested with the latest versions.




##### [Version 3.2.5](https://github.com/Codeinwp/neve/compare/v3.2.4...v3.2.5) (2022-05-12)

- [Fix] Sidebar toggle disappears on the shop on mobile
- [Fix] External link in Neve Pro Addon license card
- [Fix] PageSpeed module enabled on servers transforms CSS variables to lowercase
- [Fix] Rollback button does not appear in some cases




##### [Version 3.2.4](https://github.com/Codeinwp/neve/compare/v3.2.3...v3.2.4) (2022-05-05)

- [Feat] Gradient support for color controls
- [Fix] Missing top margin for the featured post when the title is disabled
- [Fix] The title on archives disappears when the page title has the cover layout
- [Fix] Fixed the styles for the search widget prior to 5.8 on the new skin
- [Fix] Add padding for submenu items in the sidebar menu
- [Fix] Shop sidebar with the off-canvas layout not working when content width is above 95%




##### [Version 3.2.3](https://github.com/Codeinwp/neve/compare/v3.2.2...v3.2.3) (2022-04-20)

- [Feat] Add Xing to the icon list
- [Fix] Hide title meta setting not working on the blog page
- [Fix] Mobile sticky when it's not in the global header context
- [Fix] Content shifting when using the Fancybox WP plugin
- [Fix] Compatibility issues with Klarna payments
- [Fix] Mini cart issues with Elementor templates




##### [Version 3.2.2](https://github.com/Codeinwp/neve/compare/v3.2.1...v3.2.2) (2022-04-06)

- [Fix] Fatal error produced by abs function on servers with PHP 8, and Neve Pro installed.




##### [Version 3.2.1](https://github.com/Codeinwp/neve/compare/v3.2.0...v3.2.1) (2022-04-05)

- [Feat] Add an option to have unitless line-height for typography controls.
- [Fix] Allow values lower than 1 for em unit.
- [Fix] Custom layout made with Elementor when masonry is enabled.
- [Fix] PHP warning due to React controls.
- [Fix] Compatibility with Booking Activities plugin.
- [Fix] Edge case where some plugins are not defined in the neveDash constant inside the dashboard.
- Update Google Fonts.
- Add antialiasing on text.




#### [Version 3.2.0](https://github.com/Codeinwp/neve/compare/v3.1.6...v3.2.0) (2022-03-23)

- [Feat] Add more menu icon options for the Menu Icon component. - [Learn more]( https://docs.themeisle.com/article/1230-menu-icon#style )
- [Feat] Blog featured post. - [Learn more]( https://docs.themeisle.com/article/1306-neve-blog-archive-options#latestposts )
- [Feat] Add compatibility with Easy Digital Downloads.
- [Fix] Integration between LifterLMS and the pallet switcher from Neve.
- [Fix] Alignment conflict with WooCommerce Product Add-ons.
- [Fix] Off-canvas cart menu stays open.
- Improve UX when customizing the sidebar by resetting the post's custom content width when the sidebar position changed.
- Updated the recommended plugins.




##### [Version 3.1.6](https://github.com/Codeinwp/neve/compare/v3.1.5...v3.1.6) (2022-02-23)

- [Fix] Jquery failure when elementor header is enabled and adding a product to cart
- [Fix] Custom HTML component behavior on empty tags
- [Fix] Customizer behavior when removing the pallet switcher component
- [Fix] Padding on blog list layout for mobile devices
- [Fix] Input focus on Safari browser
- Improve support for SVG, allow crop skipping




##### [Version 3.1.5](https://github.com/Codeinwp/neve/compare/v3.1.4...v3.1.5) (2022-02-07)

- [Fix] Inconsistent colors of links in the dashboard
- [Fix] WooCommerce product variations alignment when there are multiple variations
- [Fix] Some buttons in the dashboard showing screen reader text
- [Fix] Change comment reply title tag to H2 for accessibility reasons
- [Fix] List top and bottom margins not applying in nested HTML tags inside the content wrap
- [Fix] Spaces from footer copyright component were stripped
- [Fix] Scroll snap bug in Elementor
- [Fix] Elementor select fields arrow
- [Fix] Elementor list styles in text widget
- [Fix] PHP 8.1 deprecation notices and warning
- Updated deprecated methods theme in customizer controls classes
- Add dashboard information cards
- Update Google Fonts




##### [Version 3.1.4](https://github.com/Codeinwp/neve/compare/v3.1.3...v3.1.4) (2022-01-20)

- [Feat] Support for different logos with color palette switcher
- [Feat] Open extra features when dashboard module is activated
- [Feat] Show regular price too with the sale price on the WooCommerce cart
- [Fix] Background customizer control throws a warning if focus point inputs saved empty
- [Fix] Grouped header components next to mega-menu are not clickable
- [Fix] Root CSS custom properties are outputted twice when using dark mode toggle in the header
- [Fix] Secondary button style inconsistency in dashboard
- [Fix] Accessibility label for the button in the header search component
- [Fix] Show local version of installed plugins in the Neve options page
- [Fix] Post meta date element layout when post width is narrow
- [Fix] Allow additional classes on mega menu column, divider & heading items
- [Fix] Single post section not displayed inside the customizer on the old skin




##### [Version 3.1.3](https://github.com/Codeinwp/neve/compare/v3.1.2...v3.1.3) (2022-01-06)

- [Fix] Sidebar positioning on the shop page
- [Fix] Hide the whole page cover when hiding title in page meta
- [Fix] Conflict between Neve, Relevanssi Premium, and Elementor Pro
- [Fix] Radio-image customizer control console errors
- Improve the font-weight control to display only the weights that are available for the selected font




##### [Version 3.1.2](https://github.com/Codeinwp/neve/compare/v3.1.1...v3.1.2) (2021-12-23)

- [Fix] 'neve_before_pagination' not working on the first page
- [Fix] Mega menu issue on mobile
- [Fix] Primary navigation menu links to in-page sections have active color
- [Fix] Adds left and right border when a user is editing table contents
- [Feat[ Add documentation section in customizer
- Remove the description in the header components selector popup
- Improve upsells to better inform about pro functionality
- Keep upsells when the license is invalid
- Update Google Fonts




##### [Version 3.1.1](https://github.com/Codeinwp/neve/compare/v3.1.0...v3.1.1) (2021-12-09)

- [Fix] Remove text-decoration on links that are not part of the page content
- [Fix] Added value attribute for close button on menu and alt attribute on the search form
- [Fix] Fixes the issue with the clear button inside WooCommerce widgets filter dropdowns
- [Fix] Move autofocus to close button inside mobile nav menu to prevent the blue outline
- [Fix] Sidebar on 404 page not working correctly
- [Fix] The reset button on the customizer range and number controls
- Add information about components in pro in header's popup
- Update Google Fonts




#### [Version 3.1.0](https://github.com/Codeinwp/neve/compare/v3.0.11...v3.1.0) (2021-11-24)

- [Feat] Global options for page - [Learn more](https://docs.themeisle.com/article/1491-neve-page-options)
- [Feat] Global header background
- [Fix] Starter content buttons alignment with and without the Gutenberg plugin




##### [Version 3.0.11](https://github.com/Codeinwp/neve/compare/v3.0.10...v3.0.11) (2021-11-10)

- [Feat] Add the possibility to replace WooCommerce Breadcrumbs with the ones from Yoast, SeoPress Pro, or RankMath - [Learn more](https://docs.themeisle.com/article/1123-breadcrumbs-in-neve#woo)
- [Fix] Infinite scroll not working in some specific context
- [Fix] Compatibility of palette switcher with Elementor global colors
- [Fix] Archive featured image as background works only with all taxonomies enabled
- [Fix] Post title alignment
- [Fix] Repeater control adding unused values to the database & causing customizer to load in publishing state
- [Fix] Edge case of footer columns not having a proper corresponding layout
- [Fix] Bug affecting the container size and elements style
- [Fix] Compatibility with Cartflows plugin
- [Fix] HTML Component's TinyMCE new lines for existing content and Safari support
- [Fix] Bring back custom font size field inside the WordPress editor
- [Fix] Removed previously added values for font-size presets inside the editor
- [Fix] Removed redundant border controls for mobile header sidebar
- [Fix] Ordering control with blank elements
- [Fix] Double scrollbar appearing in some customizer sections
- [Fix] Inconsistent console error inside the customizer preview
- Update Google Fonts




##### [Version 3.0.10](https://github.com/Codeinwp/neve/compare/v3.0.9...v3.0.10) (2021-10-27)

- [Fix] header rows background images not applying on legacy skin




##### [Version 3.0.9](https://github.com/Codeinwp/neve/compare/v3.0.8...v3.0.9) (2021-10-26)

- [Fix] editor in HTML header component




##### [Version 3.0.8](https://github.com/Codeinwp/neve/compare/v3.0.7...v3.0.8) (2021-10-26)

- [Fix] Ordering control when header layout is changed on the single post
- [Fix] Customizer controls not loading properly due to browser caching issue in some instances




##### [Version 3.0.7](https://github.com/Codeinwp/neve/compare/v3.0.6...v3.0.7) (2021-10-26)

- [Feat] Header row border control - [Learn more](https://docs.themeisle.com/article/1245-header-rows-settings#border)
- [Feat] Jump to page blog pagination type - [Learn more](https://docs.themeisle.com/article/1306-neve-blog-archive-options#ordering)
- [Feat] Support for the named text sizes inside the editor
- [Feat] TinyMCE field inside header HTML Component
- [Feat] Add Painter starter site - [Elementor](https://demosites.io/painter/)
- [Feat] Add Freelance Designer starter site - [Elementor](https://demosites.io/minimal-portfolio/)
- Replace react-sortable-hoc with sortablejs already used in the header
- Update Google Fonts




##### [Version 3.0.6](https://github.com/Codeinwp/neve/compare/v3.0.5...v3.0.6) (2021-10-11)

- [Feat] Adds alignment option to the mobile sidebar row setting;
- [Feat] Adds vertical alignment option for each footer row
- [Fix] Conflict with the global header from Elementor Pro
- [Fix] Cannot update a page: Updating failed. Can not update the value of 'neve_meta_sidebar' in the database
- [Fix] Missing default value for vertical-align on the single post cover layout
- [Fix] Builder rows with columns controls execute sync too soon on some environments
- [Fix] The available items aren't properly updated when adding a component to the mobile sidebar
- [Fix] Outdated template alert for search form on WooCommerce Status
- [Fix] Remove forced 100% width of images inside image widgets
- [Fix] Custom layouts not acting properly on old skin
- [Fix] Letter-spacing inline-style not applying for headings
- Updated Google Fonts




##### [Version 3.0.5](https://github.com/Codeinwp/neve/compare/v3.0.4...v3.0.5) (2021-09-29)

- [Feat] Add additional font variants control for body font family used on the body
- [Fix] Remove hardcoded concatenation for menu item and page title
- [Fix] Fix hooks added in the REST endpoint for dynamic elements of the infinite scroll
- [Fix] Icons not rotating during site import in progress actions
- [Fix] Sidebar visibility on customizer preview
- [Fix] Food store compatibility
- [Fix] Unclosed div element on the shop page
- [Fix] Remove aria-role which was breaking AMP validator on the menu carets
- [Fix] Components inside the mobile sidebar inheriting wrong colors
- [Fix] Dropdowns inside the mobile sidebar inheriting overlay background color when using a background image
- [Fix] Footer components not updating after columns change
- Header components labels font styles should be inherited from the primary menu if placed in the same slot
- Change archive post title tag back to h2
- Refreshed design for the Architecture starter site - [Gutenberg](https://demosites.io/architecture-gb/) | [Elementor](https://demosites.io/architecture/)
- Remove some unused CSS




##### [Version 3.0.4](https://github.com/Codeinwp/neve/compare/v3.0.3...v3.0.4) (2021-09-15)

- fix customizer loading when elementor pro is active
- fix exclusive products category restriction
- fix list indent overrides some blocks that contain ul/ol
- improve links appear within a larger body of block-level content, they must be clearly distinguishable from surrounding content
- improve keyboard navigation, allow focus trap inside search/mobile sidebar
- allow overwriting of Woocommerce search form and default search form
- Fix footer being hidden after we add one component
- Fix font family saving issue on the Header Nav widget




##### [Version 3.0.3](https://github.com/Codeinwp/neve/compare/v3.0.2...v3.0.3) (2021-09-06)

- [Fix] Cart icon component is vertically misaligned when it has a label
- [Fix] Fix notice with legacy values on padding for buttons when values are empty
- [Fix] Letterbox effect on video embeds
- [Fix] HTML structure for menu icon and consistency of aria-label with screen reader text
- [Fix] Search on other languages when PolyLang is activated
- [Fix] Customizer live refresh selector for header sidebar text color
- [Fix] Post tags spacing when there are a lot of tags
- [Fix] Mega menu container live refresh & size issues on old skin
- [Fix] Typography style specificity inside the editor was causing some blocks to act weird
- [Fix] Block patterns provided the theme provides had broken styles
- [Fix] Drop form fields & labels spacing controls
- [Fix] Design on password-protected posts
- Removes mobile dropdown outline on tap
- Update Google Fonts




##### [Version 3.0.2](https://github.com/Codeinwp/neve/compare/v3.0.1...v3.0.2) (2021-08-23)

- [Fix] issue with some hosting environments not loading JS files that contained ~ in the file name
- [Fix] items in customizer panel don't adjust when changing presets
- [Fix] adds backspacing for Woocommerce standard pages and fieldset
- [Fix] solve an issue with multi worded google fonts names
- [Fix] blog custom layout inside the loop with masonry
- [Fix] div tag isn't closed for products on the shop page
- [Fix] Product category description displayed above the breadcrumbs and the sort

##### [Version 3.0.1](https://github.com/Codeinwp/neve/compare/v3.0.0...v3.0.1) (2021-08-06)

- [Fix] bring back custom-background theme support
- [Fix] input type reset on new skin
- [Fix] fatal error because of non-existent class property
- [Fix] footer row display when using old skin
- [Fix] single product top wrap priority
- [Fix] builder breaking in specific edge-case when using the pro version




#### [Version 3.0.0](https://github.com/Codeinwp/neve/compare/v2.11.6...v3.0.0) (2021-08-04)

- [Feat] New Header & Footer builder experience
- [Feat] New default skin for frontend with better performance and page weight - [Learn more](https://docs.themeisle.com/article/1388-neve-3-0-core-design)
- [Feat] Color palette switcher header component (dark mode toggle) - [Learn more](https://docs.themeisle.com/article/1358-header-palette-switch-dark-light-theme)
- [Feat] New single post layout and customization options
- [Fix] Improve accessibility for the search form
- [Fix] Scripts appearing next to single product buttons
- [Fix] Compatibility issue with the PW WooCommerce Gift Cards plugin
- [Fix] Compatibility issue with the WooCommerce Appointments plugin
- [Fix] Wishlist button looking distorted on the product page with sticky add to cart enabled
- [Fix] magic tag for {meta_author} not rendering the author avatar
- [Fix] Modified the check for the sidebar so that it does not conflict with the individual post settings
- [Fix] Disable Neve Styles on Custom Single Product and Products Archive Elementor Templates
- [Fix] Compatibility for Gutenberg widgets editor inside the customizer
- Add ability to self-heal theme mods in case of corrupted value
- Remove Otter compatibility for Gutenberg Templates


## Resources ##
* Neve Icons based on Font Awesome Icons licensed under CC BY 4.0 License (https://creativecommons.org/licenses/by/4.0/).

All images are licensed under CC0.

Screenshot resources:

* https://www.pexels.com/photo/landscape-photography-of-mountains-covered-in-snow-691668/

Patterns resources:

* neve-patterns-1.jpg - https://pxhere.com/el/photo/1434027
* neve-patterns-2.jpg - https://pxhere.com/el/photo/1458707
* neve-patterns-3.jpg - https://pxhere.com/el/photo/764654
* neve-patterns-4.jpg - https://pxhere.com/el/photo/762278
* neve-patterns-6.jpg - https://pxhere.com/el/photo/1433753
* neve-patterns-8.jpg - https://pxhere.com/el/photo/1594712
* neve-patterns-10.jpg - https://pxhere.com/el/photo/1431575
* neve-patterns-11.jpg - https://pxhere.com/el/photo/1451429
* neve-patterns-12.jpg - https://pxhere.com/el/photo/1229843
* neve-patterns-15.jpg - https://pxhere.com/el/photo/1432963
* neve-patterns-16.jpg - https://pxhere.com/el/photo/1575315
* neve-patterns-17.jpg - https://pxhere.com/el/photo/706582
* neve-patterns-18.jpg - https://pxhere.com/el/photo/1391834
* neve-patterns-19.jpg - https://pxhere.com/el/photo/1555639
* neve-patterns-20.jpg - https://pxhere.com/el/photo/1561935
* neve-patterns-21.jpg - https://pxhere.com/el/photo/1567113
* neve-patterns-22.jpg - https://pxhere.com/el/photo/1545615
* otter-blocks-img-02.png - https://pxhere.com/en/photo/1416385
* otter-blocks-img-03.png - https://pxhere.com/en/photo/1175501
